Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009206 [DCSS] Bug Report major always 2014-11-17 07:13 2015-04-10 02:49
Reporter tedric View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009206: 'G<' in Temple does nothing on keypress, yet causes autotravel upon exiting Temple
Description Used to be that anywhere in Temple, using the autotravel command 'G<' ("go up the nearest stairs") would take you back to the Dungeon. Now it does nothing. However, when you exit Temple using another command -- 'GD' for "go to Dungeon" or '<' when standing on exit stairs -- you will autotravel up a level for each time you pressed 'G<' while in Temple. Turns are consumed and autotravel stops for normal interruptions.

I've reproduced this in Trunk Webtiles on both CBRO and CAO.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027795)
PleasingFungus (administrator)
2014-11-18 06:53

GD currently defaults to D:1. Are you sure that's not what it's doing?
(0027798)
tedric (reporter)
2014-11-18 07:24

I didn't think of that (d'oh!) and yes, that is what's causing the autotravel -- though I was sure I had reproduced it by taking the Temple exit stairs manually (standing on them and pressing '<'), that does not seem to be the case.

The bug where 'G<' in Temple does nothing (well, it exits the 'G' menu with "Okay then.") is still there on CBRO, which is currently at version g566df74. However, it's gone on CAO in version g7c77ec3, so seems to have resolved itself with one of the intervening commits.

- Issue History
Date Modified Username Field Change
2014-11-17 07:13 tedric New Issue
2014-11-18 06:53 PleasingFungus Note Added: 0027795
2014-11-18 07:24 tedric Note Added: 0027798
2014-11-18 16:42 PleasingFungus Status new => resolved
2014-11-18 16:42 PleasingFungus Fixed in Branch => 0.16 development branch
2014-11-18 16:42 PleasingFungus Resolution open => done
2014-11-18 16:42 PleasingFungus Assigned To => PleasingFungus
2015-04-10 02:49 tedric Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker